Non destructive base64 manipulation functions.

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Functions
Non destructive base64 manipulation functions.

Function that allow the encoding and decoding of base64 Eina_Binbuf. More...

## Functions
Eina_Strbuf * | emile_base64_encode (const Eina_Binbuf *in)
| base64 encoding function.
Eina_Strbuf * | emile_base64url_encode (const Eina_Binbuf *in)
| base64 url and filename safe encoding function.
Eina_Binbuf * | emile_base64_decode (const Eina_Strbuf *in)
| base64 decoding function.
Eina_Binbuf * | emile_base64url_decode (const Eina_Strbuf *in)
| decoding function for base64 url and filename safe encoding.

## Detailed Description

Function that allow the encoding and decoding of base64 Eina_Binbuf.

## Function Documentation

## ◆ emile_base64_encode()

Eina_Strbuf * emile_base64_encode | ( | const Eina_Binbuf * | in | ) |

base64 encoding function.

Parameters

  in | The buffer to be encoded.

Returns
  the base64 encoded string.

This will create a string which is base64 encode of the buffer. The caller has to free the returned string using eina_strbuf_free().

Since
  1.17.0

References EINA_FALSE.

## ◆ emile_base64url_encode()

Eina_Strbuf * emile_base64url_encode | ( | const Eina_Binbuf * | in | ) |

base64 url and filename safe encoding function.

Parameters

  in | The buffer to be encoded.

Returns
  the base64 url encoded string.

This will create a string which is base64 encoded with url and filename safe alphabet of the src. The caller has to free the returned string using eina_strbuf_free(). There will be no padding in the encoded string.

Since
  1.17.0

References EINA_TRUE.

## ◆ emile_base64_decode()

Eina_Binbuf * emile_base64_decode | ( | const Eina_Strbuf * | in | ) |

base64 decoding function.

Parameters

  in | The string to be decoded.

Returns
  the base64 decoded buffer.

This will create a buffer which is base64 decode of the src. The caller has to free the returned string using eina_binbuf_free().

Since
  1.17.0

References EINA_FALSE.

## ◆ emile_base64url_decode()

Eina_Binbuf * emile_base64url_decode | ( | const Eina_Strbuf * | in | ) |

decoding function for base64 url and filename safe encoding.

Parameters

  in | The string to be decoded.

Returns
  the base64 url decoded buffer.

This will create a buffer which is base64 url decode of the src. The caller has to free the returned string using eina_binbuf_free().

Since
  1.17.0

References EINA_TRUE.